wiki:S60ConfigureComputer

S60WebKit: Setting up Your Computer

To work with S60WebKit, you'll need to install a couple of tools:

The S60 3rd Edition SDK

Download and install the S60 3rd Edition SDK from Forum Nokia. Choose "3rd Edition (262 MB)" from the listbox on the right of the page and click on the "Download" button.

Note: The S60 3rd Edition Feature Pack 1 is currently incompatible with the S60WebKit codebase. Please ensure you select "3rd Edition (262 MB)" and not "3rd Edition, FP 1 (355 MB)" from the listbox.

Note: Some users have reported that the installation software hangs on XP service pack 2. This is a known incompatability between the OS version level and the SDK's installation package. A quick workaround is available here.

A Subversion client

(Comment by Kenny YU: Latest Stable Release is 21772 according to the information) You'll need a Subversion client to checkout and update the source.

If you prefer a graphical interface, there are quite a few to choose from. One candidate is TortoiseSVN. However, there are a couple of Subversion related tools which assume the Subversion command line interface is in your PATH, so you may wish to install both.

Carbide C++ Express

(Comment by Kenny YU: this cannot be downloaded anymore. Is Carbide 1.2 acceptable?) Carbide.c++ Express version 1.0 is a free IDE for mobile application development.

We use the compilers and debugger that ships with the IDE to build and work with S60WebKit. For further information about Carbide and IDE's to use with S60WebKit, see the IDE page.

ActiveState Perl v5.6.1

Install ActiveState Perl v5.6.1 from here.

Once you've installed these tools, you're ready to check out and build S60WebKit.

Last modified 9 years ago Last modified on Feb 9, 2008 9:56:15 PM